Search documentation of bb

# BB.Safety.HardwareError (bb v0.17.0)

Copy Markdown View Source

Payload type for hardware error events.

Published to `[:safety, :error]` when a component reports a hardware error. Subscribe to receive notifications of hardware failures.

## Example

    BB.subscribe(MyRobot, [:safety, :error])

    # Receive:
    # {:bb, [:safety, :error], %BB.Message{payload: %BB.Safety.HardwareError{...}}}

## Summary

### Types

t()

### Functions

new(frame_id, attrs)

## Types

# t()

    @type t() :: %BB.Safety.HardwareError{error: term(), path: [atom()]}

## Functions

# new(frame_id, attrs)

    @spec new(
      atom(),
      keyword()
    ) :: {:ok, BB.Message.t()} | {:error, term()}